Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsData.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsData.cs	(revision 81)
@@ -31,7 +31,7 @@
         /// <summary>
         /// データフィールド並び
         /// </summary>
-        public enum DataColumn
+        public enum TableColumn
         {
             /// <summary>
             /// 工事番号
@@ -188,7 +188,7 @@
 
                 strcmd += " (";
                 bool bFirst = true;
-                foreach (var gender in Enum.GetValues(typeof(DataColumn)))
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
                     if (!bFirst) strcmd += " ,";
                     strcmd += gender.ToString();
@@ -321,17 +321,17 @@
             try
             {
                 // データ取得
-                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());      // 工事番号
-                wrk.ProceedingsDataDate = DateTime.Parse(objwrk[(int)DataColumn.ProceedingsDataDate].ToString());       // 議事録作成日
-                wrk.StartMeetingTime = int.Parse(objwrk[(int)DataColumn.StartMeetingTime].ToString());      // 会議時間開始
-                wrk.EndMeetingTime = int.Parse(objwrk[(int)DataColumn.EndMeetingTime].ToString());          // 会議時間終了
-                wrk.CreatorCode = int.Parse(objwrk[(int)DataColumn.CreatorCode].ToString());                // 作成者コード
-                wrk.PalceFlag = int.Parse(objwrk[(int)DataColumn.PalceFlag].ToString());                    // 現地フラグ
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());      // 工事番号
+                wrk.ProceedingsDataDate = DateTime.Parse(objwrk[(int)TableColumn.ProceedingsDataDate].ToString());       // 議事録作成日
+                wrk.StartMeetingTime = int.Parse(objwrk[(int)TableColumn.StartMeetingTime].ToString());      // 会議時間開始
+                wrk.EndMeetingTime = int.Parse(objwrk[(int)TableColumn.EndMeetingTime].ToString());          // 会議時間終了
+                wrk.CreatorCode = int.Parse(objwrk[(int)TableColumn.CreatorCode].ToString());                // 作成者コード
+                wrk.PalceFlag = int.Parse(objwrk[(int)TableColumn.PalceFlag].ToString());                    // 現地フラグ
 
-                wrk.MeetingPalce = objwrk[(int)DataColumn.MeetingPalce].ToString();                         // 打合せ場所
+                wrk.MeetingPalce = objwrk[(int)TableColumn.MeetingPalce].ToString();                         // 打合せ場所
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (OracleException oraex)
             {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataAttendee.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataAttendee.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataAttendee.cs	(revision 81)
@@ -31,7 +31,7 @@
         /// <summary>
         /// データフィールド並び
         /// </summary>
-        public enum DataColumn
+        public enum TableColumn
         {
             /// <summary>
             /// 工事番号
@@ -183,7 +183,7 @@
 
                 strcmd += " (";
                 bool bFirst = true;
-                foreach (var gender in Enum.GetValues(typeof(DataColumn)))
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
                     if (!bFirst) strcmd += " ,";
                     strcmd += gender.ToString();
@@ -320,16 +320,16 @@
             try
             {
                 // データ取得
-                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());      // 工事番号
-                wrk.ProceedingsDataDate = DateTime.Parse(objwrk[(int)DataColumn.ProceedingsDataDate].ToString());       // 議事録作成日
-                wrk.StartMeetingTime = int.Parse(objwrk[(int)DataColumn.StartMeetingTime].ToString());      // 会議時間開始
-                wrk.SeqNo = int.Parse(objwrk[(int)DataColumn.SeqNo].ToString());                            // データ行番号
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());      // 工事番号
+                wrk.ProceedingsDataDate = DateTime.Parse(objwrk[(int)TableColumn.ProceedingsDataDate].ToString());       // 議事録作成日
+                wrk.StartMeetingTime = int.Parse(objwrk[(int)TableColumn.StartMeetingTime].ToString());      // 会議時間開始
+                wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());                            // データ行番号
 
-                wrk.Department = objwrk[(int)DataColumn.Department].ToString();                             // 出席者所属
-                wrk.AttendName = objwrk[(int)DataColumn.AttendName].ToString();                             // 出席者氏名
+                wrk.Department = objwrk[(int)TableColumn.Department].ToString();                             // 出席者所属
+                wrk.AttendName = objwrk[(int)TableColumn.AttendName].ToString();                             // 出席者氏名
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (OracleException oraex)
             {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataDetail.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataDetail.cs	(revision 81)
@@ -31,7 +31,7 @@
         /// <summary>
         /// データフィールド並び
         /// </summary>
-        public enum DataColumn
+        public enum TableColumn
         {
             /// <summary>
             /// 工事番号
@@ -188,7 +188,7 @@
 
                 strcmd += " (";
                 bool bFirst = true;
-                foreach (var gender in Enum.GetValues(typeof(DataColumn)))
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
                     if (!bFirst) strcmd += " ,";
                     strcmd += gender.ToString();
@@ -323,19 +323,19 @@
             try
             {
                 // データ取得
-                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());      // 工事番号
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());      // 工事番号
                 
-                wrk.ProceedingsDataDate = DateTime.Parse(objwrk[(int)DataColumn.ProceedingsDataDate].ToString());   // 議事録作成日
+                wrk.ProceedingsDataDate = DateTime.Parse(objwrk[(int)TableColumn.ProceedingsDataDate].ToString());   // 議事録作成日
 
-                wrk.StartMeetingTime = int.Parse(objwrk[(int)DataColumn.StartMeetingTime].ToString());      // 会議時間開始
-                wrk.SeqNo = int.Parse(objwrk[(int)DataColumn.SeqNo].ToString());                            // データ行番号
+                wrk.StartMeetingTime = int.Parse(objwrk[(int)TableColumn.StartMeetingTime].ToString());      // 会議時間開始
+                wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());                            // データ行番号
 
-                wrk.TitleNo = objwrk[(int)DataColumn.TitleNo].ToString();                                   // 議題番号
-                wrk.Title = objwrk[(int)DataColumn.Title].ToString();                                       // 議題
-                wrk.ContentsText = objwrk[(int)DataColumn.ContentsText].ToString();                         // 内容
+                wrk.TitleNo = objwrk[(int)TableColumn.TitleNo].ToString();                                   // 議題番号
+                wrk.Title = objwrk[(int)TableColumn.Title].ToString();                                       // 議題
+                wrk.ContentsText = objwrk[(int)TableColumn.ContentsText].ToString();                         // 内容
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (OracleException oraex)
             {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrJobItemRegist.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrJobItemRegist.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrJobItemRegist.cs	(revision 81)
@@ -0,0 +1,360 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Collections;
+
+using log4net;
+using Oracle.ManagedDataAccess.Client;
+
+using ProcessManagement.DB.Oracle;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 協力業者施工工種登録申請データアクセスクラス
+    /// </summary>
+    public class IOSubConstrJobItemRegist : OracleProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 工協力会社施工工種マスタフィールド並び
+        /// </summary>
+        public enum TableColumn
+        {
+            PersonCode = 0,
+            CreateDate,
+            SeqNo,
+            DisplayOrder,
+            ItemCode,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOSubConstrJobItemRegist()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 協力業者施工工種登録申請データ検索SQL作成
+        /// <summary>
+        /// 協力業者施工工種登録申請データ検索SQL作成
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">協力業者施工工種登録申請データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        private string CreateSelectSQL()
+        {
+            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            string strcmd = "SELECT";
+            strcmd += "  PersonCode";
+            strcmd += ", CreateDate";
+            strcmd += ", SeqNo";
+            strcmd += ", DisplayOrder";
+            strcmd += ", ItemCode";
+            strcmd += ", TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";
+            strcmd += ", TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";
+            strcmd += " FROM SubConstrJobItemRegist";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 協力業者施工工種登録申請データ検索（複数件）
+        /// <summary>
+        /// 協力業者施工工種登録申請データ検索（複数件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<SubConstrJobItemRegist> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    SubConstrJobItemRegist work = new SubConstrJobItemRegist();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+        #endregion
+
+        #region 協力業者施工工種登録申請データ検索（１件）
+        /// <summary>
+        /// 協力業者施工工種登録申請データ検索（１件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref SubConstrJobItemRegist data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+        #endregion
+
+        #region 協力業者施工工種登録申請データ追加（１件）
+        /// <summary>
+        /// 協力業者施工工種登録申請データ追加（１件）
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(SubConstrJobItemRegist data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "INSERT INTO SubConstrJobItemRegist";
+
+                strcmd += "(";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+                strcmd += ") VALUES (";
+
+                strcmd += string.Format("  {0}", data.PersonCode);
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')" + data.CreateDate.ToShortDateString());
+                strcmd += string.Format(", {0}", data.SeqNo);
+                strcmd += string.Format(", {0}", data.DisplayOrder.ToString());
+                strcmd += string.Format(", {0}", data.ItemCode.ToString());
+
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力業者施工工種登録申請データ追加（複数件）
+        /// <summary>
+        /// 協力業者施工工種登録申請データ追加（複数件）
+        /// </summary>
+        /// <param name="data">協力業者施工工種登録申請データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<SubConstrJobItemRegist> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                foreach (SubConstrJobItemRegist work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力業者施工工種登録申請データ更新
+        /// <summary>
+        /// 協力業者施工工種登録申請データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">協力業者施工工種登録申請データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, SubConstrJobItemRegist data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE SubConstrJobItemRegist";
+
+                strcmd += " SET";
+
+                strcmd += string.Format("  PersonCode = {0}", data.PersonCode);
+                strcmd += string.Format(", CreateDate = TO_DATE('{0}','YYYY/MM/DD')", data.CreateDate.ToShortDateString());
+                strcmd += string.Format(", SeqNo = {0}", data.SeqNo);
+                strcmd += string.Format(", DisplayOrder = {0}", data.DisplayOrder.ToString());
+                strcmd += string.Format(", ItemCode = {0}", data.ItemCode.ToString());
+
+                strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力業者施工工種登録申請データ削除
+        /// <summary>
+        /// 協力業者施工工種登録申請データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">協力業者施工工種登録申請データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM SubConstrJobItemRegist", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref SubConstrJobItemRegist wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.PersonCode = int.Parse(objwrk[(int)TableColumn.PersonCode].ToString());
+                wrk.CreateDate = DateTime.Parse(objwrk[(int)TableColumn.CreateDate].ToString());
+                wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());
+                wrk.DisplayOrder = int.Parse(objwrk[(int)TableColumn.DisplayOrder].ToString());
+                wrk.ItemCode = int.Parse(objwrk[(int)TableColumn.ItemCode].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
+            }
+            catch (OracleException oraex)
+            {
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="ComponentCode">大工種キー</param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int PersonCode, DateTime CaretaDate, int SeqNo = 0, int DisplayOrder = 0, string Alias = "")
+        {
+            string strWork = "";
+            try
+            {
+                string strAlias = string.Empty;
+                if (Alias.Length != 0) strAlias = string.Format("{0}.", Alias);
+                strWork = string.Format(" WHERE {0}PersonCode = {1}", strAlias, PersonCode);
+                if (CaretaDate != DateTime.MinValue)
+                    strWork += string.Format(" AND {0}CreateDate = TO_DATE('{1}','YYYY/MM/DD')", strAlias, CaretaDate.ToShortDateString());
+                if (SeqNo != 0)
+                    strWork += string.Format(" AND {0}SeqNo = {1}", strAlias, SeqNo);
+                if (DisplayOrder != 0)
+                    strWork += string.Format(" AND {0}DisplayOrder = {1}", strAlias, DisplayOrder);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+    }
+}
